%kmdl drm

Summary: Direct Rendering Manager (DRM)
Name: drm
Version: 0.20070513
Release: 8%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://dri.freedesktop.org/
Source0: %{name}-20060809.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
The DRM is a kernel module that gives direct hardware access to DRI clients.

This module deals with DMA, AGP memory management, resource locking,
and secure hardware access. In order to support multiple, simultaneous
3D applications the 3D graphics hardware must be treated as a shared
resource. Locking is required to provide mutual exclusion. DMA
transfers and the AGP interface are used to send buffers of graphics
commands to the hardware. Finally, there must be security to prevent
out-of-control clients from crashing the hardware.

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q -n %{name}
grep -rl '#include <linux/config.h>' . | xargs perl -pi -e's,#include <linux/config.h>,/* #include <linux/config.h> */,'

%build
%kmdl_config
%if %{kmdl_userland}

%else

make -C linux-core LINUXDIR=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/char/drm/
cp -a linux-core/*.ko %{buildroot}%{kmdl_moduledir}/drivers/char/drm/

%endif

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%clean
rm -rf %{buildroot}

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/char/drm/*

%endif

%changelog
* Sun May 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20070513-8
- Update to git 20070513.

* Wed Aug  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20060809
- Update to git 20060809.

* Sun May 29 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20050529.

* Mon Mar  7 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

